Bug 205482 - [71cat] ArrayIndexOutOfBoundsException: 55919
[71cat] ArrayIndexOutOfBoundsException: 55919
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.1
All All
: P3 (vote)
: 7.2
Assigned To: J Bachorik
issues@profiler
EXCEPTIONS_REPORT
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-23 15:12 UTC by aldobrucale
Modified: 2012-09-27 15:11 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.27 KB, text/plain)
2011-11-23 15:12 UTC, aldobrucale
Details
stacktrace (2.27 KB, text/plain)
2012-01-09 07:41 UTC, Petr Cyhelsky
Details
stacktrace (2.28 KB, text/plain)
2012-03-26 16:16 UTC, Kenneth Ganfield
Details

Note You need to log in before you can comment on or make changes to this bug.
Description aldobrucale 2011-11-23 15:12:57 UTC
Build: NetBeans IDE 7.1 RC1 (Build 201111171527)
VM: Java HotSpot(TM) Client VM, 21.1-b02, Java(TM) SE Runtime Environment, 1.7.0_01-b08
OS: Linux

User Comments:
aldobrucale: Stopping a profiled (Netbeans RCP) application




Stacktrace: 
java.lang.ArrayIndexOutOfBoundsException: 55919
   at org.netbeans.lib.profiler.results.cpu.cct.CCTFlattener.onNode(CCTFlattener.java:220)
   at org.netbeans.lib.profiler.results.RuntimeCCTNodeProcessor$PluginAdapter.onNode(RuntimeCCTNodeProcessor.java:109)
   at org.netbeans.lib.profiler.results.RuntimeCCTNodeProcessor$SimpleItem.process(RuntimeCCTNodeProcessor.java:199)
   at org.netbeans.lib.profiler.results.RuntimeCCTNodeProcessor.processStack(RuntimeCCTNodeProcessor.java:243)
   at org.netbeans.lib.profiler.results.RuntimeCCTNodeProcessor.process(RuntimeCCTNodeProcessor.java:231)
   at org.netbeans.lib.profiler.results.cpu.FlatProfileBuilder.createFlatProfile(FlatProfileBuilder.java:121)
Comment 1 aldobrucale 2011-11-23 15:12:59 UTC
Created attachment 113476 [details]
stacktrace
Comment 2 Petr Cyhelsky 2012-01-09 07:41:24 UTC
Created attachment 114723 [details]
stacktrace
Comment 3 Kenneth Ganfield 2012-03-26 16:16:36 UTC
Created attachment 117271 [details]
stacktrace

profiling enterprise application
Comment 4 J Bachorik 2012-04-23 12:23:32 UTC
fixed in http://hg.netbeans.org/profiler-main/rev/88a0f315ab18
Comment 5 Quality Engineering 2012-04-25 09:58:09 UTC
Integrated into 'main-golden', will be available in build *201204250400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/88a0f315ab18
User: Jaroslav Bachorik <yardus@netbeans.org>
Log: #205482: Need to make sure only consistent data are accessed during the generation of CPU live results flat view
Comment 6 J Bachorik 2012-04-25 14:27:05 UTC
Changed the approach a bit to save some memory - #111fde443e6c
Comment 7 Quality Engineering 2012-04-26 10:34:12 UTC
Integrated into 'main-golden', will be available in build *201204260400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/84092a76e375
User: Jaroslav Bachorik <yardus@netbeans.org>
Log: #205482: A different approach to flattening only relevant nodes which will save us some precious memory


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo